package types

type Snippet struct {
	Selector    string               `yaml:"selector"`
	Source      string               `yaml:"source"`
	Destination string               `yaml:"destination"`
	Attributes  []Attributes         `yaml:"attribute"`
	Replacement []ContentReplacement `yaml:"replacement"`
}

type ContentReplacement struct {
	Selector string `yaml:"selector"`
	Content  string `yaml:"content"`
}

type SnippetsSpecification struct {
	Snippets []Snippet `yaml:"snippet"`
}

type Attributes struct {
	Selector string `yaml:"selector"`
	Name     string `yaml:"name"`
	Value    string `yaml:"value"`
}
