package main

// Used when building per
// -ldflags "-X main.version=$version -X main.build=$(due --iso-8601 | tr -d "-" )"
var (
	version  = "dev"
	build    = "n/a"
	mnemonic = "bob"
)

type Accessor interface {
	GetVersion() string
	GetBuild() string
	GetMnemonic() string
}

type ReleaseStruct struct {
	Version  string
	Build    string
	Mnemonic string
}

var release ReleaseStruct

func init() {

	release = ReleaseStruct{
		Version:  version,
		Build:    build,
		Mnemonic: mnemonic,
	}
}

func GetVersion() string {
	return release.Version
}

func GetBuild() string {
	return release.Build
}

func GetMnemonic() string {
	return release.Mnemonic
}
